## AsDistroDetails AsDistroDetails — Provides information about the current distribution |

## Functions

AsDistroDetails * | as_distro_details_new ()
const gchar * | as_distro_details_get_id ()
const gchar * | as_distro_details_get_cid ()
const gchar * | as_distro_details_get_name ()
const gchar * | as_distro_details_get_version ()
const gchar * | as_distro_details_get_homepage ()
gchar * | as_distro_details_get_str ()
gboolean | as_distro_details_get_bool ()
gchar * | as_get_current_distro_component_id ()

## Types and Values

#define | AS_TYPE_DISTRO_DETAILS
struct | AsDistroDetailsClass
| AsDistroDetails

## Includes

    #include <appstream.h>

## Description

This object abstracts various distribution-specific settings and provides information about the (Linux) distribution which is currently in use. It is used internalls to get information about the icon-store or the 3rd-party screenshot service distributors may want to provide.

See also: AsPool

## Functions

### as_distro_details_new ()

    AsDistroDetails *
    as_distro_details_new (void);

Creates a new instance of AsDistroDetails.

#### Returns

a AsDistroDetails.

[transfer full]

### as_distro_details_get_id ()

    const gchar *
    as_distro_details_get_id (AsDistroDetails *distro);

### as_distro_details_get_cid ()

    const gchar *
    as_distro_details_get_cid (AsDistroDetails *distro);

### as_distro_details_get_name ()

    const gchar *
    as_distro_details_get_name (AsDistroDetails *distro);

### as_distro_details_get_version ()

    const gchar *
    as_distro_details_get_version (AsDistroDetails *distro);

### as_distro_details_get_homepage ()

    const gchar *
    as_distro_details_get_homepage (AsDistroDetails *distro);

### as_distro_details_get_str ()

    gchar *
    as_distro_details_get_str (AsDistroDetails *distro,
                               const gchar *key);

### as_distro_details_get_bool ()

    gboolean
    as_distro_details_get_bool (AsDistroDetails *distro,
                                const gchar *key,
                                gboolean default_val);

### as_get_current_distro_component_id ()

    gchar *
    as_get_current_distro_component_id (void);

Returns the component-ID of the current distribution based on contents of the `/etc/os-release` file. This function is a shorthand for `as_distro_details_get_cid`

## Types and Values

### AS_TYPE_DISTRO_DETAILS

    #define AS_TYPE_DISTRO_DETAILS (as_distro_details_get_type ())

### struct AsDistroDetailsClass

    struct AsDistroDetailsClass {
    	GObjectClass parent_class;
    };

### AsDistroDetails

    typedef struct _AsDistroDetails AsDistroDetails;